(function ($) {
    $(document).ready(function () {

        $('#composed_command').on('click', function () {

            var do_refresh = true;

            var argument_string = document.getElementById('inputArgs').value.toString();
            if (validate_file()) {

                jQuery('#composed_command').prop('disabled', true);
                jQuery('#composed_command').text('Preparing your job..');

                var is_archive = false;
                if ($('#is_archive').is(":checked")) is_archive = true;

                var fd = new FormData();
                var file = jQuery(document).find('input[type="file"]');
                var individual_file = file[0].files[0];
                fd.append("file", individual_file);
                fd.append('action', 'process_ajax_upload');
                fd.append('archive', is_archive);
                fd.append('args', argument_string);
                $('#submit_job').prop('disabled', true);
                $('#get_files').prop('disabled', true);
                $('#csme_main_area').toggleClass('hidden');
                $('#csme_result_area').toggleClass('hidden');
                $('#job_name_1').text("updating..");
                $('#job_status_1').text("updating..");
                document.getElementById("cancel_button_cb").style.display = "none";
                jQuery.ajax({
                    type: 'POST',
                    url: CSME_upload.ajax_url,
                    data: fd,
                    contentType: false,
                    processData: false,
                    success: function (response) {
                        
                        var arr = Object.keys(response).map(function (key) {
                            return response[key]
                        });

                        console.log(arr);
                        if (arr[0] == 'true') {

                            
                            do_refresh = true;

                        } else {
                            
                            if(arr[1] == 'You do not have enough money to submit a job or submission cost is higher than maximum cost specified under your job'){
                               do_refresh = false;
                                alert('Not enough funds to start a job');
                                  jQuery(":file").filestyle('clear');
                                  jQuery('#is_archive').removeAttr('checked');
                                  jQuery('#csme_next_job').show();
                                  jQuery('#csme_next_job').click();
                            }else{
                                alert(arr[0]);
                            }
                            
                            
                            // alert("Create job" + arr[0]['uploadFileResult']);
                            // alert("Add file" + arr[0]['createJobResult']);
                            //alert("Start job" + arr[0]['startJobResult']);

                            do_refresh = false;
                            jQuery('#composed_command').prop('disabled', false);
                            jQuery('#composed_command').text('Launch job');

                        }
                        if(do_refresh == true){
                           refresh();  
                        }
                    },
                    error:function (response) {
                         console.log(response);
                         console.log('error');
                    },

                });
               
                //return false;
            } else {
                 if (typeof jQuery(document).find('input[type="file"]')[0].files[0] == 'undefined'){
                     alert("Please upload input file.");
                 } else{
                alert("File validation failed");
            }
            }
        });
    });


    function refresh() {

        var do_refresh = true;
        var time_step = 3500;
        var do_refresh_funds = true;
        var timerId = setTimeout(function tick() {

            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'process_ajax_post',
                    command: 'refresh_status',
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {

                    $('#job_name_1').text(response['job_name']);
                    $('#job_status_1').text(response['job_status']);

                    if ((response['job_status'] == "completed") || (response['job_status'] == "error")) {
                        do_refresh = false;
                        do_refresh_funds = true;
                    }else if (response['job_status'] == "Not enough funds") {

                            do_refresh_funds = false;                          
                        }


                });

            if (do_refresh == false) {
                $('#get_files').prop('disabled', false);
                $('#csme_next_job').show();
                clearTimeout(timerId);
            }else if(do_refresh_funds == false){
                
                document.getElementById("cancel_button_cb").style.display = "block";
                clearTimeout(timerId);
            }           
            else {
                timerId = setTimeout(tick, time_step);
            }

        }, time_step);

    }

    function validate_file() {

        var valid = true;
      
        if (typeof jQuery(document).find('input[type="file"]')[0].files[0] == 'undefined' || jQuery(document).find('input[type="file"]')[0].files[0].size >= 322122547200) {
            valid = false;
            return valid;
        
    }
        return valid;
    }
})(jQuery);
