<?php

/**
 * Fired during plugin activation
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    cloudsme-prototype
 * @subpackage cloudsme-prototype/includes
 */
class Cloudsme_Prototype_Activator {


	public static function activate() {
        //add_option('o_presets_done', 'false');
        add_option('o_admin_authorized', 'false');
        add_option('o_platform_url', '');
        add_option('o_email', '');
        add_option('o_password', '');
        add_option('o_software', '');
        add_option('o_executable', '');
        add_option('o_resource', '');
        add_option('o_region', '');
        add_option('o_instance_type', '');
        add_option('o_input_type', '');
	}

}
