<?php

class Cloudsme_Widget extends WP_Widget {

    function __construct() {
        parent::__construct(false, $name = __('CSME Widget', 'Cloudsme_Widget'));
        $_SESSION['csme_step_num'] = "1";
    }

    function form($instance) {

    }

    function update($new_instance, $old_instance) {

    }

    function widget($args, $instance) {

        if (get_option('o_admin_authorized') == 'false') {
            ?>

            <div class="tw-bs">
                <form class="form-horizontal" id="csme-parent-form" role="form" style=" height: 60mm; background-color: lightgrey; overflow-y: hidden; ">
                    <div id="csme_control_area">
                        <table id="csme_ct">
                            <tr>
                                <th id="csme_c1"></th>
                                <th id="csme_c2"></th>
                            </tr>
                            <tr>
                                <td>
                                    <label id="csme_msg_view">cloudSME HPC plugin</label>
                                </td>
                                <td>

                                </td>
                            </tr>
                        </table>
                    </div>

                    <br>
                    <label>Platform integration settings are missing.</label>
                    <br>
                    <br>

                </form>
            </div>

            <?php
        } else {
            ?>
            <div class="tw-bs">
                <form class="form-horizontal" id="csme-parent-form" role="form"
                      style=" height: 60mm; overflow-y: scroll; ">

                    <div id="csme_control_area">
                        <table id="csme_ct">
                            <tr>
                                <th id="csme_c1"></th>
                                <th id="csme_c2"></th>
                            </tr>
                            <tr>
                                <td>
                                    <label id="csme_msg_view">cloudSME HPC plugin</label>
                                </td>
                                <td>
                                    <label id="cb_logout" class="hidden">Log out</label>
                                </td>
                            </tr>
                        </table>
                    </div>


                    <div id="csme_login_area">

                        <label class="login-field-icon fui-user" for="csme-reg-name"></label>
                        <input name="reg_name" type="text" class="form-control"
                               placeholder="Username" value="" id="csme-reg-name">

                        <label class="login-field-icon fui-lock" for="csme-reg-pass"></label>
                        <input name="reg_password" type="password" class="form-control"
                               placeholder="Password" value="" id="csme-reg-pass">
                        <br>
                        <button id="cb_login" type="button" class="btn btn-primary btn-block " rel="tooltip"
                                data-placement="top" title="Log into your platform account">Login
                        </button>
                    </div>


                    <div id="csme_main_area" class="hidden">

                        <div id="info_block">
                            <label id="soft_name" rel="tooltip" data-placement="top"
                                   title="Software to process you jobs"></label>
                        </div>

                        <div class="panel">
                            <div class="panel-body" style="">
                                <div class="form-group has-feedback">
                                    <input type="text" class="form-control" id="inputArgs"
                                           placeholder="Specify parameters" rel="tooltip" data-placement="top"
                                           title="Specify here job execution parameters">

                                </div>

                                <div class="form-group has-feedback">
                                    <input type="file" id="file_upload" class="filestyle"
                                           data-classButton="btn btn-primary"
                                           data-placeholder="Select file" data-classIcon="icon-plus"
                                           data-buttonText="Job input" data-buttonBefore="true">

                                    <input type="checkbox" id="is_archive">
                                    <label style="text-align: left" rel="tooltip" data-placement="top"
                                           title="supported formats: .tgz, .tar.gz, .tar, .gzip, .gz, .zip">archive</label><br>

                                    <button id="composed_command" type="button"
                                            class="btn btn-primary btn-block btn-primary">
                                        Launch job
                                    </button>


                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="csme_result_area" class="hidden">

                        <form class="form-inline" role="form">

                            <table id="job_status_table" class="table">
                                <thead id="job_status_table_head">
                                    <tr>
                                        <th style="width: 50%;">Job</th>
                                        <th style="width: 50%;">Status</th>
                                    </tr>
                                </thead>
                                <tbody id="job_status_table_body">
                                    <tr>
                                        <td id="job_name_1">updating..</td>
                                        <td id="job_status_1">updating..</td>
                                    </tr>
                                </tbody>
                            </table>

                            <button id="get_files" type="button" class="btn btn-primary btn-block" rel="tooltip"
                                    data-placement="top" title="After job completed get links to files">Get files
                            </button>
                            <button id="cancel_button_cb" type="button" style="display: none"
                                    class="btn btn-primary btn-block btn-primary">
                                Cancel job
                            </button>

                            <table id="data_files_table" class="table">
                                <thead id="data_files_table_head">
                                    <tr>
                                        <th style="width: 50%;">Name</th>
                                        <th style="width: 50%;">Link</th>
                                    </tr>
                                </thead>
                                <tbody id="data_files_table_body">

                                </tbody>
                            </table>
                            <label id="csme_next_job">Run next job</label>
                        </form>
                    </div>
                </form>
            </div>
            <?php
        }
    }

}
