(function ($) {
    $(document).ready(function () {

        $("#o_platform_url").change(function () {
            
           var str_url = $(this).val() ;
           var res = str_url.slice(0, 7);
           if(res == 'https:/'){
           
           }else if( res == 'http://'){
              var new_url = str_url.replace('http://','https://');
               $(this).val(new_url);
           }
               else{
                   $(this).val('https://'+ str_url);
               }
           }).change();
        var data = $('#o_input_type').attr("data-storedvalue");
        $('#o_input_type option[value=' + data + ']').attr('selected', 'selected');


        //software was changed
        $("#o_software_list").change(function () {

            var resource_id = null;
            var region_id = null;

            var software_id = $("#o_software_list option:selected").attr('data-id');
            $("#o_software").val(software_id);

            // Set options for directly dependent from selected software lists: executables and resources

            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'settings_selection',
                    command: 'selected_soft',
                    software_id:  software_id,
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {

                    //build exec list here
                    $("#o_executable_list option").remove();
                    var arr = Object.keys(response).map(function (key) {return response[key]});

                    $(function() {
                        var counter = 0;
                        $.each(arr[0], function(id, name) {

                            var $select = $('#o_executable_list');

                            if (counter == 0) {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + " selected>" + name + "</option>"));
                                $("#o_executable").val(id);
                            } else {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + ">" + name + "</option>"));
                            }
                            counter ++;
                        });
                    });

                    //build resource list here
                    $("#o_resources_list option").remove();
                    var arr = Object.keys(response).map(function (key) {return response[key]});
                    //console.log("resource list options: " + jQuery.isEmptyObject(arr[1]));
                    $(function() {
                        var counter = 0;
                        $.each(arr[1], function(id, name) {

                            var $select = $('#o_resources_list');

                            if (counter == 0) {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + " selected>" + name + "</option>"));
                                $("#o_resource").val(id);
                                resource_id = id;
                            } else {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + ">" + name + "</option>"));
                            }
                            counter ++;
                        });
                    });

                    // Set options for regions
                    $.post(
                        PT_Ajax.ajaxurl,
                        {
                            action: 'settings_selection',
                            command: 'selected_resource',
                            software_id:  software_id,
                            resource_id:  resource_id,
                            nextNonce: PT_Ajax.nextNonce
                        },
                        function (response) {

                            $("#o_regions_list option").remove();
                            var arr = Object.keys(response).map(function (key) {return response[key]});

                            $(function() {
                                var counter = 0;
                                $.each(arr[0], function(id, name) {

                                    var $select = $('#o_regions_list');

                                    if (counter == 0) {
                                        $select.append($("<option value = \"" + name + "\" data-id=" + id + " selected>" + name + "</option>"));
                                        $("#o_region").val(id);
                                        region_id = id;
                                    } else {
                                        $select.append($("<option value = \"" + name + "\" data-id=" + id + ">" + name + "</option>"));
                                    }
                                    counter ++;
                                });
                            });

                            // Set options for instance types
                            $.post(
                                PT_Ajax.ajaxurl,
                                {
                                    action: 'settings_selection',
                                    command: 'selected_region',
                                    software_id:  software_id,
                                    region_id:  region_id,
                                    nextNonce: PT_Ajax.nextNonce
                                },
                                function (response) {

                                    $("#o_instance_type_list option").remove();
                                    var arr = Object.keys(response).map(function (key) {return response[key]});

                                    $(function() {
                                        var counter = 0;
                                        $.each(arr[0], function(id, name) {

                                            var $select = $('#o_instance_type_list');

                                            if (counter == 0) {
                                                $select.append($("<option value = \"" + name + "\" data-id=" + id + " selected>" + name + "</option>"));
                                                $("#o_instance_type").val(id);
                                            } else {
                                                $select.append($("<option value = \"" + name + "\" data-id=" + id + ">" + name + "</option>"));
                                            }
                                            counter ++;
                                        });
                                    });
                                }
                            );
                        }
                    );
                }
            );
        });


        //executable was changed
        $("#o_executable_list").change(function () {
            $("#o_executable").val($("#o_executable_list option:selected").attr('data-id'));
        });

        //resource was changed
        $("#o_resources_list").change(function () {

            var resource_id = $("#o_resources_list option:selected").attr('data-id');
            $("#o_resource").val(resource_id);
            var region_id = null;
            var software_id = $("#o_software").val();

            // Set options for regions
            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'settings_selection',
                    command: 'selected_resource',
                    software_id:  software_id,
                    resource_id:  resource_id,
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {

                    $("#o_regions_list option").remove();
                    var arr = Object.keys(response).map(function (key) {return response[key]});

                    $(function() {
                        var counter = 0;
                        $.each(arr[0], function(id, name) {

                            var $select = $('#o_regions_list');

                            if (counter == 0) {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + " selected>" + name + "</option>"));
                                $("#o_region").val(id);
                                region_id = id;
                            } else {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + ">" + name + "</option>"));
                            }
                            counter ++;
                        });
                    });

                    // Set options for instance types
                    $.post(
                        PT_Ajax.ajaxurl,
                        {
                            action: 'settings_selection',
                            command: 'selected_region',
                            software_id:  software_id,
                            region_id:  region_id,
                            nextNonce: PT_Ajax.nextNonce
                        },
                        function (response) {

                            $("#o_instance_type_list option").remove();
                            var arr = Object.keys(response).map(function (key) {return response[key]});

                            $(function() {
                                var counter = 0;
                                $.each(arr[0], function(id, name) {

                                    var $select = $('#o_instance_type_list');

                                    if (counter == 0) {
                                        $select.append($("<option value = \"" + name + "\" data-id=" + id + " selected>" + name + "</option>"));
                                        $("#o_instance_type").val(id);
                                    } else {
                                        $select.append($("<option value = \"" + name + "\" data-id=" + id + ">" + name + "</option>"));
                                    }
                                    counter ++;
                                });
                            });
                        }
                    );
                }
            );

        });

        //region was changed
        $("#o_regions_list").change(function () {

            var region_id = $("#o_regions_list option:selected").attr('data-id');
            $("#o_region").val(region_id);
            var software_id = $("#o_software").val();

            // Set options for instance types
            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'settings_selection',
                    command: 'selected_region',
                    software_id:  software_id,
                    region_id:  region_id,
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {

                    $("#o_instance_type_list option").remove();
                    var arr = Object.keys(response).map(function (key) {return response[key]});

                    $(function() {
                        var counter = 0;
                        $.each(arr[0], function(id, name) {

                            var $select = $('#o_instance_type_list');

                            if (counter == 0) {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + " selected>" + name + "</option>"));
                                $("#o_instance_type").val(id);
                            } else {
                                $select.append($("<option value = \"" + name + "\" data-id=" + id + ">" + name + "</option>"));
                            }
                            counter ++;
                        });
                    });
                }
            );
        });

        // instance type was changed
        $("#o_instance_type_list").change(function () {
            $("#o_instance_type").val($("#o_instance_type_list option:selected").attr('data-id'));
        });


        //test button event handler
        $("#cred_test").on("click", function () {

            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'settings_selection',
                    command: 'cred_test',
                    platform_url:  $("#o_platform_url").val(),
                    email:  $("#o_email").val(),
                    password:  $("#o_password").val(),
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {

                    console.log(response);
                }
            );
            return false;

        });

    });
})(jQuery);
