(function ($) {
    $(document).ready(function () {

        $.post(
            PT_Ajax.ajaxurl,
            {
                action: 'process_ajax_post',
                command: "restore_state" ,
                nextNonce: PT_Ajax.nextNonce
            },
            function (response) {

                var step = (response['csme_step_num']);
                switch(step) {
                    case "1":
                        $('#csme_next_job').hide();

                        break;
                    case "2":
                        jQuery('#composed_command').prop('disabled', false);
                        jQuery('#composed_command').text('Launch job');
                        $('#csme_login_area').toggleClass('hidden');
                        $('#csme_main_area').toggleClass('hidden');
                        $('#cb_logout').toggleClass('hidden');
                        $('#create_job').prop('disabled', false);
                        $('#csme_msg_view').text(response['csme_uname']);
                        $('#soft_name').text(response['csme_sname']);
                        //$('label[for="csme_next_job"]').hide();
                        $('#csme_next_job').hide();
                        
                        break;
                    case "3":
                        $('#csme_login_area').toggleClass('hidden');
                        $('#cb_logout').toggleClass('hidden');
                        $('#create_job').prop('disabled', false);
                        $('#csme_msg_view').text(response['csme_uname']);
                        $('#soft_name').text(response['csme_sname']);

                        //$('label[for="csme_next_job"]').hide();
                        $('#csme_next_job').hide();
                        $('#submit_job').prop('disabled', true);
                        $('#get_files').prop('disabled', true);
                        $('#csme_result_area').toggleClass('hidden');
                        jQuery('#composed_command').prop('disabled', false);
                        jQuery('#composed_command').text('Launch job');


                        csme_refresh();

                        break;
                    case "4":
                        $('#csme_login_area').toggleClass('hidden');
                        $('#cb_logout').toggleClass('hidden');
                        $('#create_job').prop('disabled', false);
                        $('#csme_msg_view').text(response['csme_uname']);
                        $('#soft_name').text(response['csme_sname']);

                        //$('label[for="csme_next_job"]').hide();
                        $('#csme_next_job').hide();
                        $('#submit_job').prop('disabled', true);
                        $('#get_files').prop('disabled', false);
                        $('#csme_result_area').toggleClass('hidden');

                        csme_refresh();

                        break;
                    default:
                        alert("Workflow error: " + step);
                        break;
                }

            }
        );

        //request for login
        document.getElementById('cb_login').addEventListener('click', function() {

            var name =  document.getElementById('csme-reg-name').value.toString();
            var pass =  document.getElementById('csme-reg-pass').value.toString();

            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'process_ajax_post',
                    command: "login" ,
                    username: name,
                    password: pass,
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {
                    if (response['login_res'] == true)
                    {
                        console.log("Login AJAX response return true");

                        $('#csme_login_area').toggleClass('hidden');
                        $('#csme_main_area').toggleClass('hidden');
                        $('#cb_logout').toggleClass('hidden');
                        $('#create_job').prop('disabled', false);
                        
                        $('#csme_msg_view').text(response['name']);
                        $('#soft_name').text(response['soft_name']);
                        csme_refresh();
                    }
                    else
                    {
                        alert("Incorrect credentials");
                    }
                }
            );
            return false;

        }, false);


        document.getElementById('cb_logout').addEventListener('click', function() {
            
            var comfirm_founds = true;
            var founds_status = false;
            if(jQuery('#job_status_1').text() == 'Not enough funds'){
                comfirm_founds = confirm("Your job will be cancelled. Are you sure?");
                 founds_status = true;
            }
            
            if(comfirm_founds){
            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'process_ajax_post',
                    command: "logout" ,
                    nextNonce: PT_Ajax.nextNonce,
                    founds_status : founds_status
                },
                function (response) {
                    if (response['logout_res'] == true)
                    {
                        document.getElementById('data_files_table_body').innerHTML = "";

                        var result_area_selector = $('#csme_result_area');

                        if (result_area_selector.hasClass('hidden')) {
                            $('#csme_main_area').toggleClass('hidden');
                        } else {
                            result_area_selector.toggleClass('hidden');
                        }

                        jQuery('#composed_command').prop('disabled', false);
                        jQuery('#composed_command').text('Launch job');
                        $('#csme_login_area').toggleClass('hidden');
                        $('#cb_logout').toggleClass('hidden');
                        $('#csme_msg_view').text("cloudSME HPC plugin");

                        $('#job_name_1').text("updating..");
                        $('#job_status_1').text("updating..");



                    }
                    else
                    {

                    }
                }
            );
            return false;

        }}, false);

        document.getElementById('csme_next_job').addEventListener('click', function() {

            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'process_ajax_post',
                    command: "next_job" ,
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {
                    if (response['run_next'] == true)
                    {

                        document.getElementById('data_files_table_body').innerHTML = "";
                        $('#create_job').prop('disabled', false);
                        jQuery('#composed_command').prop('disabled', false);
                        jQuery('#composed_command').text('Launch job');
                        $('#csme_result_area').toggleClass('hidden');
                        $('#csme_main_area').toggleClass('hidden');

                        $('#job_name_1').text("updating..");
                        $('#job_status_1').text("updating..");

                    }
                    else
                    {

                    }
                }
            );
            return false;

        }, false);


         document.getElementById('get_files').addEventListener('click', function() {

            document.getElementById('data_files_table_body').innerHTML = "";

            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'process_ajax_post',
                    command: 'get_files',
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {

                    var table = document.getElementById("data_files_table_body");
                    table.innerHTML = "";

                    var arr = Object.keys(response).map(function (key) {return response[key]});

                    $(function() {
                        $.each(arr, function(i, item) {
                            var job_fields = item.split(",");
                            var $tr = $('<tr>').append(
                                $('<td>').text(job_fields[0]),
                                $('<td>').html("<label class='csme_fdw_trigger' data-csmefdwid="+job_fields[1]+">Download</label>")
                            ).appendTo('#data_files_table');
                        });
                    });

                }
            );
            return false;

        }, false);

         document.getElementById('cancel_button_cb').addEventListener('click', function() {

            document.getElementById('data_files_table_body').innerHTML = "";
            jQuery('#cancel_button_cb').prop('disabled', true);
            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'process_ajax_post',
                    command: 'cancel_button_cb',
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {
                        console.log(response);
                        alert('The job was cancelled successfully.');
                        jQuery('#cancel_button_cb').prop('disabled', false);
                        jQuery(":file").filestyle('clear');
                        jQuery('#is_archive').removeAttr('checked');
                        jQuery('#csme_next_job').show();
                        jQuery('#csme_next_job').click();
                        
                        
//                    var table = document.getElementById("data_files_table_body");
//                    table.innerHTML = "";
//
//                    var arr = Object.keys(response).map(function (key) {return response[key]});
//
//                    $(function() {
//                        $.each(arr, function(i, item) {
//                            var job_fields = item.split(",");
//                            var $tr = $('<tr>').append(
//                                $('<td>').text(job_fields[0]),
//                                $('<td>').html("<label class='csme_fdw_trigger' data-csmefdwid="+job_fields[1]+">Download</label>")
//                            ).appendTo('#data_files_table');
//                        });
//                    });

                }
            );
            return false;

        }, false);



        $("#data_files_table").on("click", "label.csme_fdw_trigger" , function() {

            $.post(
                PT_Ajax.ajaxurl,
                {
                    action: 'process_ajax_post',
                    command: 'fdw_triggered',
                    fdw_id: $(this).attr('data-csmefdwid'),
                    nextNonce: PT_Ajax.nextNonce
                },
                function (response) {

                    window.location = response;
                }
            );
            return false;

        });


        function csme_refresh() {

            var do_refresh = true;
            var time_step = 3500;
            var do_refresh_funds = true;
            var timerId = setTimeout(function tick() {

                $.post(
                    PT_Ajax.ajaxurl,
                    {
                        action: 'process_ajax_post',
                        command: 'refresh_status',
                        nextNonce: PT_Ajax.nextNonce
                    },
                    function (response) {

                        $('#job_name_1').text(response['job_name']);
                        $('#job_status_1').text(response['job_status']);

                        if ((response['job_status'] == "completed") || (response['job_status'] == "error")) {
                            do_refresh = false;
                            do_refresh_funds = true;
                        }
                        else if (response['job_status'] == "Not enough funds") {
                            do_refresh_funds = false;                          
                        }

                    });

                if (do_refresh == false) {
                    $('#get_files').prop('disabled', false);
                    $('#csme_next_job').show();
                    clearTimeout(timerId);
                }else if(do_refresh_funds == false){
                
                document.getElementById("cancel_button_cb").style.display = "block";
                clearTimeout(timerId);
                }else {
                    timerId = setTimeout(tick, time_step);
                }

            }, time_step);

        }

    });
})(jQuery);

