<?php

/*
Plugin Name: CloudSME-prototype
Plugin URI:
Description: CloudSME plugin - prototype
Author: Scaletools UA
Version: 0.1
Author URI:
*/

if ( ! defined( 'WPINC' ) ) {
	die;
}

ini_set('display_errors',1);
error_reporting(E_ALL);

function activate_cloudsme_prototype() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cloudsme-prototype-activator.php';
	Cloudsme_Prototype_Activator::activate();
}

function deactivate_cloudsme_prototype() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cloudsme-prototype-deactivator.php';
	Cloudsme_Prototype_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_cloudsme_prototype' );
register_deactivation_hook( __FILE__, 'deactivate_cloudsme_prototype' );

require plugin_dir_path( __FILE__ ) . 'includes/class-cloudsme-prototype.php';

function run_cloudsme_prototype() {

	$plugin = new Cloudsme_Prototype();
	$plugin->run();

}
run_cloudsme_prototype();
